Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.cmd.action
Class Abstract2StringAction

    java.lang.Object
      |
      +--org.jbrain.qlink.cmd.AbstractCommand
            |
            +--org.jbrain.qlink.cmd.action.AbstractAction
                  |
                  +--org.jbrain.qlink.cmd.action.Abstract2StringAction

All Implemented Interfaces:
  Action, Command

Direct Known Subclasses:
  EK, TestDoubleText

public class Abstract2StringAction
extends AbstractAction

Field Summary
`protected java.lang.String` | `_sData1`
`protected java.lang.String` | `_sData2`

Fields inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`CMD_ACTION`

Fields inherited from class org.jbrain.qlink.cmd.AbstractCommand
`_iCalculatedCRC, _iReportedCRC`

Fields inherited from interface org.jbrain.qlink.cmd.Command
`CMD_START`

Constructor Summary
`Abstract2StringAction(byte[] data, int start, int len)`
`Abstract2StringAction(java.lang.String mnemonic, java.lang.String str1, java.lang.String str2)`

Method Summary
`byte[]` | `getBytes()`

Methods inherited from class org.jbrain.qlink.cmd.action.AbstractAction
`finalizeCmd, getAction, getBytes, getName, getString`

Methods inherited from class org.jbrain.qlink.cmd.AbstractCommand
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbrain.qlink.cmd.Command
`getCommand, getRecvSequence, getSendSequence, setRecvSequence, setSendSequence`

Field Detail

### _sData1

    protected java.lang.String _sData1

### _sData2

    protected java.lang.String _sData2

Constructor Detail

### Abstract2StringAction

    public Abstract2StringAction(byte[] data,
                                 int start,
                                 int len)
                          throws CRCException

### Abstract2StringAction

    public Abstract2StringAction(java.lang.String mnemonic,
                                 java.lang.String str1,
                                 java.lang.String str2)

Method Detail

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `Command`
  Overrides:
    `getBytes` in class `AbstractAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD